Skip to main content
GET
/
v1
/
notifications
/
delivery-log
Browse the delivery-decision audit log (why a notification was/wasn't sent)
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/notifications/delivery-log \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "<string>",
      "outcome": "<string>",
      "severity": "<string>",
      "dedupe_key": "<string>",
      "digest_key": "<string>",
      "detail": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

event_type
string | null
outcome
string | null
before
string | null
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

A keyset-paginated page of delivery-decision rows. next_cursor is the opaque cursor to pass as before for the next page (None on the last page).

items
DeliveryLogItem · object[]
required
next_cursor
string | null